package cd.casic.framework.commons.util.generator;

import java.util.List;

/**
 * @author mianbin
 * @Classname UserTypeEnum
 * @Description 业务id生成接口
 * @Date 2025/3/18 14:16
 */
public interface IdGenerator {

    /**
     * 生成id
     *
     * @param key 业务标识
     * @return 结果
     */
    Long get(String key);

    /**
     * 初始化
     */
    boolean init();

    /**
     * 批量生成id
     *
     * @param key 业务标识
     * @param num id数量
     * @return id集合
     */
    List<Long> batchGenerateSegmentId(String key, Integer num);
}
